View Issue Details

IDProjectCategoryView StatusLast Update
0001535SymmetricDS ProBugpublic2014-02-02 20:53
ReportermhanesAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.5.14 
Target Version3.5.15Fixed in Version3.5.15 
Summary0001535: Contacting Server registration URL during client config wizard in pro results in error when server and client are SSL.
DescriptionIf server and client are configured to use SSL, the client setup wizard, when it attempts to contact the registration URL, errors with the error below. This results in "can't contact the registration server". If you proceed forward, though, everything will work, but you have to manually fill in your node group, etc.

2014-01-21 10:55:34,842 INFO [gui] [h] [qtp1278514289-13] Error while attempting to ping registration url: https://192.168.1.10
2:31417/sync/server/ping. sun.security.validator.ValidatorException: PKIX path building failed: sun.security.provider.certpath.
SunCertPathBuilderException: unable to find valid certification path to requested target
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master a3935d1b

2014-01-21 21:03:29

chenson

Details Diff
0001535: Contacting Server registration URL during client config wizard in pro results in error when server and client are SSL.
0001535
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/TransportManagerFactory.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/SymmetricWebServer.java Diff File

Issue History

Date Modified Username Field Change
2014-01-21 14:41 mhanes New Issue
2014-01-21 21:02 chenson Assigned To => chenson
2014-01-21 21:02 chenson Status new => assigned
2014-01-21 21:03 chenson Fixed in Version => 3.5.15
2014-01-21 21:03 chenson Target Version 3.6.0 => 3.5.15
2014-01-21 21:04 chenson Status assigned => resolved
2014-01-21 21:04 chenson Resolution open => fixed
2014-01-22 07:52 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7881
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master a3935d1b